# Uses of Interface
org.opensaml.xmlsec.encryption.CipherValue

Packages that use CipherValue
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of CipherValue in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return CipherValue
Modifier and Type
Method
Description
`CipherValue`
CipherData.`getCipherValue()`
Get the base64-encoded data representing the encrypted form of the plaintext data.
Methods in org.opensaml.xmlsec.encryption with parameters of type CipherValue
Modifier and Type
Method
Description
`void`
CipherData.`setCipherValue(CipherValue newCipherValue)`
Set the base64-encoded data representing the encrypted form of the plaintext data.

## Uses of CipherValue in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement CipherValue
Modifier and Type
Class
Description
`class`
`CipherValueImpl`
Concrete implementation of `CipherValue`.
Fields in org.opensaml.xmlsec.encryption.impl declared as CipherValue
Modifier and Type
Field
Description
`private CipherValue`
CipherDataImpl.`cipherValue`
CipherValue child element.
Methods in org.opensaml.xmlsec.encryption.impl that return CipherValue
Modifier and Type
Method
Description
`CipherValue`
CipherValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`CipherValue`
CipherValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`CipherValue`
CipherDataImpl.`getCipherValue()`
Get the base64-encoded data representing the encrypted form of the plaintext data.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type CipherValue
Modifier and Type
Method
Description
`void`
CipherDataImpl.`setCipherValue(CipherValue newCipherValue)`
Set the base64-encoded data representing the encrypted form of the plaintext data.